org.apache.solr.client.solrj.request

## Class QueryRequest

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<QueryResponse>
  - - org.apache.solr.client.solrj.request.QueryRequest

- All Implemented Interfaces:
    Serializable

      public class QueryRequest
      extends SolrRequest<QueryResponse>

  Since:
    solr 1.3
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryRequest()`
    `QueryRequest(SolrParams q)`
    `QueryRequest(SolrParams q, SolrRequest.METHOD method)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected QueryResponse` | `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
    `Collection<ContentStream>` | `getContentStreams()`
    `SolrParams` | `getParams()`
    `String` | `getPath()` Use the params 'QT' parameter if it exists

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryRequest

          public QueryRequest()

    - #### QueryRequest

          public QueryRequest(SolrParams q)

    - #### QueryRequest

          public QueryRequest(SolrParams q,
                              SolrRequest.METHOD method)

  - ### Method Detail

    - #### getPath

          public String getPath()

      Use the params 'QT' parameter if it exists
      Overrides:
        `getPath` in class `SolrRequest<QueryResponse>`

    - #### getContentStreams

          public Collection<ContentStream> getContentStreams()

      Specified by:
        `getContentStreams` in class `SolrRequest<QueryResponse>`

    - #### createResponse

          protected QueryResponse createResponse(SolrClient client)

      Description copied from class: `SolrRequest`
      Create a new SolrResponse to hold the response from the server
      Specified by:
        `createResponse` in class `SolrRequest<QueryResponse>`
      Parameters:
        `client` - the `SolrClient` the request will be sent to

    - #### getParams

          public SolrParams getParams()

      Specified by:
        `getParams` in class `SolrRequest<QueryResponse>`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.